Bug 1738043

Summary: pygame depends on Python 2
Product: [Fedora] Fedora Reporter: Lumír Balhar <lbalhar>
Component: pygameAssignee: Jan Kaluža <jkaluza>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: gwync, jkaluza, jskarvad, mhroncok, pviktori
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-01-01 21:27:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1698500    

Description Lumír Balhar 2019-08-06 12:42:49 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for pygame's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to pygame.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Gwyn Ciesla 2019-08-06 18:59:58 UTC
Current users.

PySolFC
anki
childsplay
monsterz
pilas
pyvnc2swf
whichwayisup
angrydd
deluge-common
impressive
magicor
python2-olpcgames
seahorse-adventures
slingshot
solarwolf
sugar-pippy
sugar-view-slides

Comment 2 Gwyn Ciesla 2019-08-07 16:28:23 UTC
Solarwolf ported, childsplay retired:

PySolFC
anki
monsterz
pilas
pyvnc2swf
whichwayisup
angrydd
deluge-common
impressive
magicor
python2-olpcgames
seahorse-adventures
slingshot
sugar-pippy
sugar-view-slides

Comment 3 Petr Viktorin 2019-08-07 21:10:29 UTC
I take it that python2-pygame can be removed when nothing depends on it?

What's the situation with the pygame-devel subpackage?

Comment 4 Gwyn Ciesla 2019-08-07 21:15:40 UTC
Correct. I don't see that anything BuildRequires it, so I think I'll move it to Python 3 now.

Comment 5 Ben Cotton 2019-08-13 17:03:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 17:34:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Miro Hrončok 2020-01-01 21:27:34 UTC

*** This bug has been marked as a duplicate of bug 1787246 ***